/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.util;

import com.silverwrist.venice.except.EmailException;

public interface MailSend
{
  public static final int RECIP_TO = 0;
  public static final int RECIP_CC = 1;
  public static final int RECIP_BCC = 2;

  public abstract void addRecipient(int type, String addr) throws EmailException;

  public abstract void removeRecipient(int type, String addr) throws EmailException;

  public abstract void clearRecipients(int type);

  public abstract void setFrom(String from_name, String from_addr) throws EmailException;

  public abstract void setSubject(String subject);

  public abstract void setStockSubject(String identifier);

  public abstract void setText(String text);

  public abstract void setStockText(String identifier);

  public abstract void setVariable(String name, String value);

  public abstract void addHeader(String name, String value);

  public abstract void removeHeader(String name);

  public abstract void send() throws EmailException;

} // end interface MailSend
